package com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes;

import com.knecon.fforesight.service.layoutparser.internal.api.data.redaction.NodeType;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.textblock.TextBlock;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.FieldDefaults;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@FieldDefaults(level = AccessLevel.PROTECTED)
public class Paragraph extends AbstractSemanticNode {

    TextBlock leafTextBlock;


    @Override
    public NodeType getType() {

        return NodeType.PARAGRAPH;
    }


    @Override
    public boolean isLeaf() {

        return true;
    }


    @Override
    public TextBlock getTextBlock() {

        return leafTextBlock;
    }

}
